---
id: v2024-accounts-async-result
title: AccountsAsyncResult
pagination_label: AccountsAsyncResult
sidebar_label: AccountsAsyncResult
sidebar_class_name: gosdk
keywords: ['go', 'Golang', 'sdk', 'AccountsAsyncResult', 'V2024AccountsAsyncResult'] 
slug: /tools/sdk/go/v2024/models/accounts-async-result
tags: ['SDK', 'Software Development Kit', 'AccountsAsyncResult', 'V2024AccountsAsyncResult']
---

# AccountsAsyncResult

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** | id of the task | 

## Methods

### NewAccountsAsyncResult

`func NewAccountsAsyncResult(id string, ) *AccountsAsyncResult`

NewAccountsAsyncResult instantiates a new AccountsAsyncResult object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewAccountsAsyncResultWithDefaults

`func NewAccountsAsyncResultWithDefaults() *AccountsAsyncResult`

NewAccountsAsyncResultWithDefaults instantiates a new AccountsAsyncResult object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *AccountsAsyncResult) GetId() string`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *AccountsAsyncResult) GetIdOk() (*string, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *AccountsAsyncResult) SetId(v string)`

SetId sets Id field to given value.



